Subject: [bug#47539]

From: Xinglu Chen <[email-masked]>
Date: Sat, 05 Jun 2021 21:16:36 +0200

On Fri, May 21 2021, Leo Famulari wrote:

> On Fri, May 21, 2021 at 07:08:49PM +0200, Leo Prikler wrote:
>> @lfam: Does this patch look good to you?  If so, can we apply it?
>
> I notice that (most of?) the new packages use native-inputs for their
> dependencies.
>
> If these dependencies are used at run-time, I would propagate them
> instead. This way, they will be available in the build environment of
> packages that depend on the package that is using them, which matters
> for our go-build-system, where everything is built from scratch in each
> package. If I remember correctly, that is...

I am not familiar with the Go ecosystem, is there a way to tell if a
dependency is used at runtime?

Sorry for the delay.